- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Stencil.cpp File Reference

`#include "osg/Stencil"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Stencil.cpp:

## Functions
bool | Stencil_readLocalData (Object &obj, Input &fr)
bool | Stencil_writeLocalData (const Object &obj, Output &fw)
bool | Stencil_matchFuncStr (const char *str, Stencil::Function &func)
const char * | Stencil_getFuncStr (Stencil::Function func)
bool | Stencil_matchOperationStr (const char *str, Stencil::Operation &op)
const char * | Stencil_getOperationStr (Stencil::Operation op)
## Variables
RegisterDotOsgWrapperProxy | g_StencilProxy (new osg::Stencil,"Stencil","Object StateAttribute Stencil",&Stencil_readLocalData,&Stencil_writeLocalData)

## Function Documentation

const char * Stencil_getFuncStr | ( | Stencil::Function | func | ) |

const char * Stencil_getOperationStr | ( | Stencil::Operation | op | ) |

bool Stencil_matchFuncStr | ( | const char * | str,
|  | Stencil::Function & | func
| ) |

bool Stencil_matchOperationStr | ( | const char * | str,
|  | Stencil::Operation & | op
| ) |

bool Stencil_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Stencil_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_StencilProxy(new osg::Stencil,"Stencil","Object StateAttribute Stencil",&Stencil_readLocalData,&Stencil_writeLocalData)